efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > Class Template Reference

## Public Types
typedef T | value_type
| The type of each element. More...
typedef T & | reference
| Type for a reference to an element. More...
typedef T const & | const_reference
| Type for a constant reference to an element. More...
typedef _ptr_eo_array_iterator< T const > | const_iterator
| Type for a iterator for this container. More...
typedef _ptr_eo_array_iterator< T > | iterator
| Type for a constant iterator for this container. More...
typedef T * | pointer
| Type for a pointer to an element. More...
typedef T const * | const_pointer
| Type for a constant pointer for an element. More...
typedef _base_type::size_type | size_type
| Type for size information used in the array. More...
typedef _base_type::difference_type | difference_type
| Type to represent the distance between two iterators. More...
typedef _base_type::clone_allocator_type | clone_allocator_type
typedef std::reverse_iterator< iterator > | reverse_iterator
| Type for the clone allocator. More...
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
| Type for reverse iterator for this container. More...

## Public Member Functions
| array (Eina_Array *handle)
| array (clone_allocator_type alloc)
| array (size_type n, const_reference t)
template<typename InputIterator >
| array (InputIterator i, InputIterator const &j, clone_allocator_type const &alloc=clone_allocator_type(), typename eina::enable_if<!eina::is_integral< InputIterator >::value >::type *=0)
| array (array< T, CloneAllocator > const &other)
template<typename CloneAllocator1 >
| array (array< T, CloneAllocator1 >const &other)
array< T, CloneAllocator > & | operator= (array< T, CloneAllocator >const &other)
void | push_back (const_reference w)
iterator | insert (iterator i, value_type const &t)
iterator | insert (iterator i, size_t n, value_type const &t)
template<typename InputIterator >
iterator | insert (iterator p, InputIterator i, InputIterator j, typename eina::enable_if<!eina::is_integral< InputIterator >::value >::type *=0)
iterator | erase (iterator p)
iterator | erase (iterator i, iterator j)
template<typename InputIterator >
void | assign (InputIterator i, InputIterator j, typename eina::enable_if<!eina::is_integral< InputIterator >::value >::type *=0)
void | assign (size_type n, value_type const &t)
reference | front ()
reference | back ()
const_reference | front () const
const_reference | back () const
const_reference | operator[] (size_type n) const
reference | operator[] (size_type n)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const_iterator | cbegin () const
const_iterator | cend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const

## Friends
bool | operator== (array< T, CloneAllocator > const &lhs, array< T, CloneAllocator > const &rhs)

## Member Typedef Documentation

template<typename T , typename CloneAllocator >

typedef T efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::value_type

The type of each element.

template<typename T , typename CloneAllocator >

typedef T& efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::reference

Type for a reference to an element.

template<typename T , typename CloneAllocator >

typedef T const& efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::const_reference

Type for a constant reference to an element.

template<typename T , typename CloneAllocator >

typedef _ptr_eo_array_iterator<T const> efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::const_iterator

Type for a iterator for this container.

template<typename T , typename CloneAllocator >

typedef _ptr_eo_array_iterator<T> efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::iterator

Type for a constant iterator for this container.

template<typename T , typename CloneAllocator >

typedef T* efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::pointer

Type for a pointer to an element.

template<typename T , typename CloneAllocator >

typedef T const* efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::const_pointer

Type for a constant pointer for an element.

template<typename T , typename CloneAllocator >

typedef _base_type::size_type efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::size_type

Type for size information used in the array.

template<typename T , typename CloneAllocator >

typedef _base_type::difference_type efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::difference_type

Type to represent the distance between two iterators.

template<typename T , typename CloneAllocator >

typedef std::reverse_iterator<iterator> efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::reverse_iterator

Type for the clone allocator.

Type for reverse iterator for this container.

template<typename T , typename CloneAllocator >

typedef std::reverse_iterator<const_iterator> efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type >::const_reverse_iterator

Type for reverse iterator for this container.